Package org.apache.felix.http.base.internal.runtime.dto

## Class ErrorPageDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.ErrorPageDTOBuilder

    public final class ErrorPageDTOBuilder
    extends Object

### Constructor Summary

Constructors
`ErrorPageDTOBuilder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.osgi.service.http.runtime.dto.ErrorPageDTO` `build​(ServletHandler handler, int reason)` Build a servlet DTO from a servlet handler
`static org.osgi.service.http.runtime.dto.ErrorPageDTO` `build​(ServletInfo info, boolean failed)` Build a servlet DTO from a servlet info
`static void` `fill​(org.osgi.service.http.runtime.dto.BaseServletDTO dto, ServletHandler handler)` Build a servlet DTO from a servlet info
`static void` `fill​(org.osgi.service.http.runtime.dto.BaseServletDTO dto, ServletInfo info)` Build a servlet DTO from a servlet info

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPageDTOBuilder

    public ErrorPageDTOBuilder()

### Method Detail

#### build

    public static org.osgi.service.http.runtime.dto.ErrorPageDTO build​(ServletHandler handler,
                                                                       int reason)

Build a servlet DTO from a servlet handler

Parameters:
  `handler` - The servlet handler
  `reason` - If reason is -1, a servlet DTO is created, otherwise a failed servlet DTO is returned
Returns:
  A servlet DTO

#### build

    public static org.osgi.service.http.runtime.dto.ErrorPageDTO build​(ServletInfo info,
                                                                       boolean failed)

Build a servlet DTO from a servlet info

Parameters:
  `info` - The servlet info
Returns:
  A servlet DTO

#### fill

    public static void fill​(org.osgi.service.http.runtime.dto.BaseServletDTO dto,
                            ServletHandler handler)

Build a servlet DTO from a servlet info

Parameters:
  `info` - The servlet info

#### fill

    public static void fill​(org.osgi.service.http.runtime.dto.BaseServletDTO dto,
                            ServletInfo info)

Build a servlet DTO from a servlet info

Parameters:
  `info` - The servlet info